# Fetch your own data

This endpoint allows you to fetch your own data.
This endpoint returns structured User objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `users` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: GET /users/me
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `account_membership` (AccountMembership) - Retrieves the account membership of the user, which represents the relationship of a user to an account. The response will include `account_membership_id`, which references the data in the `account_memberships` top-level key.
- `custom_field_values` (CustomFieldValue) - Retrieves the user's custom field values that are viewable for the current user. The response will include `custom_field_value_ids`, which references the data in the `custom_field_values` top-level key.
- `external_references` (ExternalReference) - Includes references to external integrations for this object.
- `manager` (User) - Retrieves the user's manager. The response will include `manager_id`, which references the data in the `users` top-level key.
- `role` (Role) - Retrieves the user's account role. The response will include `role_id`, which references the data in the `roles` top-level key.
- `skill_memberships` (SkillMembership) - Retrieves the skill memberships of the user, which represent skills that have been assigned to a user. The response will include `skill_membership_ids`, which references the data in the `skill_memberships` top-level key. The `skill_memberships` data will include the user's proficiency level (for skills which can be assigned proficiency levels).
- `skills` (Skill) - Retrieves the user's skills. The response will include `skill_ids`, which references the data in the `skills` top-level key. The `skills` data will include the skill description and category ID.
- `work_samples` (WorkSample) - Retrieves the user's portfolio items. The response will include `work_sample_ids`, which references the data in the `work_samples` top-level key.

  - `optional_fields` (array)
    Allows you to request one or more optional fields as an array.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

